make fails if librsvg-2.0 >= 2.36.2

Bug #1039843 reported by Sam Spilsbury on 2012-08-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Compiz
High
Sam Spilsbury
Compiz Core
High
Daniel van Vugt
compiz (Ubuntu)
Undecided
Unassigned

Bug Description

Unfortunately librsvg upstream is making our lives painful by adding the #warning and moving the location of the header file in the same version bump.

Related branches

Changed in compiz:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Sam Spilsbury (smspillaz)
milestone: none → 0.9.8.0
Changed in compiz:
status: In Progress → Fix Committed
Changed in compiz:
status: Fix Committed → Fix Released
Daniel van Vugt (vanvugt) wrote :

This bug was fixed in the package compiz - 1:0.9.8.0-0ubuntu1

---------------
compiz (1:0.9.8.0-0ubuntu1) quantal-proposed; urgency=low

  * debian/control, debian/rules:
    - enable gles on armel and armhf
    - use dh-translations rather than custom code

  [ Sam Spilsbury ]
  * Enable OpenGL ES building
    - Refresh debian/patches/workaround_broken_drivers.patch
    - Remove non-ported plugins from compiz-plugins
    - Add FindOpenGLES2.cmake to compiz-dev

  [ Timo Jyrinki ]
  * New upstream release.
    - Code to make compiz work on GLES. This includes several changes
      to the compiz API. (LP: #201342) (LP: #901097) (LP: #1004251)
      (LP: #1037710)
    - Draft first 0.9.8.0 NEWS and bump VERSION
  * debian/patches/compiz-package-gles2.patch:
    - Remove, obsoleted by the upstream GLES work
  * Disable plugins that don't work on pure GLES on armhf/armel:
    - bench, firepaint, mblur, showmouse, splash, showrepaint, td, widget
 -- Sebastien Bacher <email address hidden> Fri, 31 Aug 2012 22:59:50 +0200

Changed in compiz (Ubuntu):
status: New → Fix Released
Changed in compiz-core:
status: New → In Progress
milestone: none → 0.9.7.10
importance: Undecided → High
assignee: nobody → Daniel van Vugt (vanvugt)
summary: - make fails if librsvg-2.0 < 2.36.2
+ make fails if librsvg-2.0 >= 2.36.2
Daniel van Vugt (vanvugt) wrote :

Didrocks says no. It would always have to be removed for Ubuntu releases.

Changed in compiz-core:
status: In Progress → Won't Fix
milestone: 0.9.7.10 → none
Changed in compiz-core:
status: Won't Fix → Fix Committed
Daniel van Vugt (vanvugt) wrote :

That's a launchpad bug. Ignore it.

Changed in compiz-core:
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers